<div class="wrapper-outer">
  <div class="container">
    <div class="row">

      <div class="col-sm-12">
        <div class="cont-login">

          <div *ngFor="let job of allJobsList;let i = index;">
            <div class="role-wrapper">
              <strong><u>
                  <span [ngClass]="['titleClass']">
                    {{job.industryName}}
                  </span>
                </u></strong>
              <div class="role-rt">
                <a href="javascript:void(0)" (click)="editJobs(i)"> <i> <img src="assets/images/ic-edit-action.png"
                      alt=""></i></a>
                <a href="javascript:void(0)" (click)="deleteJobs(i)" *ngIf='!donotdelete'> <i><img
                      src="assets/images/trash-ic.png" alt=""></i> </a>
              </div>
              <!-- <div class="saved-role shadow-box"  *ngFor="let role of list.jobRole;let i = index;" >
                <div class="role-lt">{{role.jobRoleName}} </div>
              </div> -->
            </div>

            <!-- <div *ngIf="allJobsList.length  "> -->
            <!-- <div *ngFor="let job of allJobsList;let i = index;" class="role-wrapper">
           
          </div> -->
            <!-- </div> -->
            <div class="sumry-box">
              <mat-accordion class="static-accordion-space">
                <mat-expansion-panel *ngFor="let role of job.api.jobDetails.roleWiseAction ">
                  <mat-expansion-panel-header>
                    <mat-panel-title>
                      <span [ngClass]="['titleClass']">
                        {{role.roleName}}
                      </span>
                    </mat-panel-title>
                  </mat-expansion-panel-header>
                  <div class="acrdn-cont">
                    <div class="acrdn-cont-inr">
                      <div class="row">
                        <div class="col-6">
                          <p>
                            <strong>Job Type</strong>
                            <span> {{job.api.jobDetails.jobType | titlecase}} </span>
                          </p>
                        </div>

                        <div class="col-6">
                          <p>
                            <strong>No. of Staff </strong>
                            <span>{{job.api.jobDetails.noOfStuff}}</span>

                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Rate P/h</strong>
                            <span> {{job.api.jobDetails.payType}} (£{{job.api.jobDetails.pay}}) </span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Radius for location</strong>
                            <span> {{job.api.distance /1609.34 }}</span>
                          </p>
                        </div>
                        <div class="col-12">
                          <p>
                            <strong>Skills</strong>
                            <span *ngFor="let skill of role.skills; let i =index">
                              <span *ngIf='i>0'>, </span>{{skill.name}}







                            </span>
                          </p>
                        </div>
                        <div class="col-12">
                          <p>
                            <strong>Dates</strong>
                            <span *ngFor="let skill of job.api.setTime">

                              <!-- <li style="list-style-type: none;">{{skill.startDate | date:'dd MMM yyyy'}} -
                                {{skill.endDate | date:'dd MMM yyyy'}}

                                ( {{skill.startTime.replace(".",":")}} - {{skill.endTime.replace(".",":") }} )</li> -->

                              <li style="list-style-type: none;" *ngIf='skill.startDate == skill.endDate'>
                                {{skill.startDate | date: 'dd-MM-yyyy'}} ({{skill.startTime.replace(".",":")}} -
                                {{skill.endTime.replace(".",":")}} ) </li>

                              <li style="list-style-type: none;" *ngIf='skill.startDate != skill.endDate'>
                                {{skill.startDate | date: 'dd-MM-yyyy'}} - {{skill.endDate | date: 'dd-MM-yyyy'}}
                                ({{skill.startTime.replace(".",":")}} - {{skill.endTime.replace(".",":")}} ) </li>





                            </span>
                          </p>
                        </div>
                        <div class="col-12">
                          <p>
                            <strong>Location</strong>
                            <span> {{job.locationName}} </span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>NI</strong>
                            <span>£ {{job.api.payment.ni}} </span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>VAT</strong>
                            <span>£ {{job.api.payment.vat}} </span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Fee</strong>
                            <span>£ {{job.api.payment.fee}} </span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Sub Total</strong>
                            <span>£ {{job.api.payment.totalPayment}} </span>
                          </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </mat-expansion-panel>
                <mat-expansion-panel>
                  <mat-expansion-panel-header>
                    <mat-panel-title>
                      <span [ngClass]="['titleClass']">
                        Payment
                      </span>
                    </mat-panel-title>
                  </mat-expansion-panel-header>
                  <div class="acrdn-cont">
                    <div class="acrdn-cont-inr">
                      <div class="row">
                        <div class="col-6">
                          <p>
                            <strong>Total VAT</strong>
                            <span>£
                              {{job.api.payment.vat * (job.api.jobDetails.roleWiseAction.length |number ) }}</span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Total NI</strong>
                            <span>£ {{job.api.payment.ni * (job.api.jobDetails.roleWiseAction.length |number ) }}</span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Total Fees</strong>
                            <span>£
                              {{job.api.payment.fee * (job.api.jobDetails.roleWiseAction.length |number ) }}</span>
                          </p>
                        </div>
                        <div class="col-6">
                          <p>
                            <strong>Total Payment</strong>
                            <span>£
                              {{job.api.payment.totalPayment *  (job.api.jobDetails.roleWiseAction.length |number ) }}
                            </span>
                          </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </mat-expansion-panel>
              </mat-accordion>

            </div>
          </div>
          <mat-accordion class="static-accordion-space" *ngIf='proceedToSummary'>
            <mat-expansion-panel>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  <span [ngClass]="['titleClass']">
                    Grand Total Payment
                  </span>
                </mat-panel-title>
              </mat-expansion-panel-header>
              <div class="acrdn-cont">
                <div class="acrdn-cont-inr">
                  <div class="row">
                    <div class="col-6">
                      <p>
                        <strong>Grand NI</strong>
                        <span>£ {{ni}} </span>
                      </p>
                    </div>
                    <div class="col-6">
                      <p>
                        <strong>Grand VAT</strong>
                        <span>£ {{vat}} </span>
                      </p>
                    </div>
                    <div class="col-6">
                      <p>
                        <strong>Grand Fee</strong>
                        <span>£ {{fee}} </span>
                      </p>
                    </div>
                    <div class="col-6">
                      <p>
                        <strong>Grand Total</strong>
                        <span>£ {{totalAmolunt}} </span>
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-12">
        <div class="cont-login">
          <div class="form-group ">
            <label>
              <!-- <input type="checkbox" [formControl]="termsConditionControl" (click)="checkControl($event)"> -->
              I agree to the <a routerLink="/employer/terms-and-conditions" target="blank">
                Terms and Conditions </a>and Privacy Policy
            </label>
          </div>
          <div class="form-group text-center btn-set">
            <input type="submit" (click)="addJobPost()" value="Add More jobs" class="btn" *ngIf='!donotdelete'>

            <input type="submit" (click)="checkProfile()" value="Submit Job" class="btn">


          </div>
        </div>
      </div>
    </div>

  </div>
</div>


<!-- Job offer options modal -->

<ng-template #templateJobOffer>
  <div class="modal-body">
    <form>

      <div class="row">
        <div class="col-12 offers mb-3">
          <input type="button" (click)="navigateToCandidatesList('option-1')" value="Let seleckt choose workers"
            class="btn bn-sz">
          <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
          style="margin: 5px ">Save</a></div> -->
        </div>
        <div class="col-12 mb-3">
          <input type="button" (click)="navigateToCandidatesList('option-2')" value="Offer To Favourites & Available Workers"
            class="btn bn-sz">
          <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
        style="margin: 5px ">Save</a></div> -->
        </div>
        <div class="col-12">
          <input type="button" (click)="navigateToCandidatesList('option-3')" value="Browse and choose workers"
            class="btn bn-sz">
          <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
        style="margin: 5px ">Save</a></div> -->
        </div>
      </div>
    </form>
  </div>

</ng-template>